> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a ledger

> Returns a specific ledger by ID.



## OpenAPI

````yaml GET /ledgers/{ledger_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /ledgers/{ledger_id}:
    get:
      summary: Retrieve a ledger
      description: Returns a specific ledger by ID.
      operationId: retrieve-ledger
      parameters:
        - name: ledger_id
          in: path
          description: Ledger friendly ID (e.g., lgr_abc123def456)
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: lgr_abc123def456
                    name: Net Carbon Removal
                    unit: t
                    system_ledger_type: null
                    partition_type: time
                    cadence: monthly
                    latest_model:
                      id: mdl_abc123def456
                      name: Carbon Calculation Model
                    asset_category: null
                    created_at: '2025-01-15T10:00:00.000Z'
                    updated_at: '2025-01-15T10:00:00.000Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: lgr_abc123def456
                  name:
                    type: string
                  unit:
                    type: string
                    nullable: true
                  system_ledger_type:
                    type: string
                    nullable: true
                  partition_type:
                    type: string
                    nullable: true
                  cadence:
                    type: string
                    nullable: true
                  latest_model:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                  asset_category:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: integer
                      name:
                        type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````